<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/Component/ComponentAnimalBleeding.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d04/_component_animal_bleeding_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ComponentAnimalBleeding.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d04/_component_animal_bleeding_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//-----------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">// ANIMAL BLEEDING</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">//-----------------------------</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">/*</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">Animal bleeding is handled by this component.</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">*/</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d53/class_component_animal_bleeding.html">ComponentAnimalBleeding</a> : <a class="code hl_class" href="../../d2/d00/class_component.html">Component</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="comment">// Member variables</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">   11</a></span>    <span class="keyword">protected</span> ref Timer <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">m_BleedTimer</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#aa5b5b3a214b6c1cd62f77b846a3f7bd7">   12</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#aa5b5b3a214b6c1cd62f77b846a3f7bd7">BASE_BLEED_RATE</a> = 250;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#a0f5a7733e7a6040b5b5c5b7e85d3e9a3">   13</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a0f5a7733e7a6040b5b5c5b7e85d3e9a3">PASS_OUT_AMOUT</a> = 500;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#a591218dc0eca9e33c50687a1208b9033">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#a591218dc0eca9e33c50687a1208b9033">ComponentAnimalBleeding</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#a74ec58161ff06c8b0dbacfdb69da554e">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#a74ec58161ff06c8b0dbacfdb69da554e">InflictWoundDamage</a>( <a class="code hl_class" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damage_result, <span class="keywordtype">string</span> zone_name, <span class="keywordtype">string</span> ammo )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> ( ammo == <span class="stringliteral">&quot;MeleeWolf&quot;</span>)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.SetHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 0 );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }   </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span> ( !zone_name )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordtype">float</span> health_damage_inflicted = damage_result.<a class="code hl_function" href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">GetDamage</a>( zone_name, <span class="stringliteral">&quot;Health&quot;</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">//float blood_damage_inflicted = damage_result.GetDamage( zone_name, &quot;Blood&quot;);  </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordtype">float</span> wound_healt_damage = health_damage_inflicted;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="comment">//float wound_blood_damage = health_damage_inflicted;</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.DecreaseHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Health&quot;</span>, wound_healt_damage );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="comment">//m_ThisEntityAI.DecreaseHealth( &quot;&quot;, &quot;Blood&quot;, wound_blood_damage );</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> ( zone_name != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.DecreaseHealth( zone_name, <span class="stringliteral">&quot;Health&quot;</span>, wound_healt_damage );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="comment">//m_ThisEntityAI.DecreaseHealth( zone_name, &quot;Blood&quot;, wound_blood_damage );</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }   </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="comment">//Print(&quot;Zone hit: &quot; + zone_name );</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="comment">//Print(&quot;damage_result Health: &quot; + damage_result.GetDamage( zone_name, &quot;Health&quot; ) );</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="comment">//Print(&quot;damage_result Blood: &quot; + damage_result.GetDamage( zone_name, &quot;Blood&quot; ) );</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#afe69f37b643968d2742f531b4c196fa0">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#afe69f37b643968d2742f531b4c196fa0">CreateWound</a>( <a class="code hl_class" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damage_result, <span class="keywordtype">string</span> zone_name, <span class="keywordtype">string</span> ammo )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="comment">//Print( &quot;GetHealth Health before creating wound@: &quot; + zone_name + &quot; &quot; + m_ThisEntityAI.GetHealth( zone_name, &quot;Health&quot; ));</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#a74ec58161ff06c8b0dbacfdb69da554e">InflictWoundDamage</a>( damage_result, zone_name, ammo );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="comment">//Print( &quot;GetHealth Health after creating wood@: &quot; + zone_name + &quot; &quot; + m_ThisEntityAI.GetHealth( zone_name, &quot;Health&quot; ));</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">float</span> can_bleed = <span class="keyword">false</span>; <span class="comment">//= GetGame().ConfigGetFloat( &quot;CfgVehicles &quot; + m_ThisEntityAI.GetType() + &quot; DamageSystem &quot; + &quot;DamageZones &quot; + zone_name + &quot; canBleed&quot; );</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="comment">//Print(&quot;can_bleed: &quot; + can_bleed );</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordtype">float</span> bleed_treshold = 0; <span class="comment">//= GetGame().ConfigGetFloat( &quot;CfgAmmo &quot; + ammo + &quot; DamageApplied &quot; + &quot;bleedThreshold&quot; );</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="comment">//Print(&quot;bleed_treshold: &quot; + bleed_treshold );</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordtype">float</span> chance = -1; <span class="comment">//Math.RandomFloat01();</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="comment">//Print(&quot;chance: &quot; + chance );</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="comment">//Print( &quot;GetHealth Health @: &quot; + m_ThisEntityAI.GetHealth( zone_name, &quot;Health&quot; ));</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="comment">//Print( &quot;GetHealth Blood @: &quot; + m_ThisEntityAI.GetHealth( zone_name, &quot;Blood&quot; ));</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="comment">//Print( &quot;GetHealth Shock @: &quot; + m_ThisEntityAI.GetHealth( zone_name, &quot;Shock&quot; ));</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">if</span> ( can_bleed &amp;&amp; chance &lt;= bleed_treshold )</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">m_BleedTimer</a> = <span class="keyword">new</span> Timer();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordtype">float</span> wound_intensity = <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#acc31e3fc1008194a61f9a0bdfdd9b79a">GetWoundIntensity</a>( bleed_treshold );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="comment">//Print(&quot;wound_intensity: &quot; + wound_intensity);</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">m_BleedTimer</a>.Run( 1, <span class="keyword">this</span>, <span class="stringliteral">&quot;Bleed&quot;</span>, <span class="keyword">new</span> Param1&lt;float&gt;( wound_intensity ), <span class="keyword">true</span> ); </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">        else</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">        {</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">            Print(&quot;Not bleeding&quot;);</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment">        }</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment">        */</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#a17fd1b1f4e3b8d4b726660bfc2535983">   83</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#a17fd1b1f4e3b8d4b726660bfc2535983">Bleed</a>( <span class="keywordtype">float</span> wound_intensity )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.IsAlive() )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordtype">float</span> bleeding_intensity = <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#aa5b5b3a214b6c1cd62f77b846a3f7bd7">BASE_BLEED_RATE</a> * wound_intensity;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="comment">//Print(&quot;bleeding_intensity: &quot; + bleeding_intensity);</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordtype">float</span> global_blood_lvl = <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.GetHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Blood&quot;</span> );</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.DecreaseHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;Blood&quot;</span>, bleeding_intensity );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">if</span> ( global_blood_lvl &lt; <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a0f5a7733e7a6040b5b5c5b7e85d3e9a3">PASS_OUT_AMOUT</a> )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                <a class="code hl_variable" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a>.SetHealth( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 0 );</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="comment">//Print(&quot;global_blood_lvl &lt; PASS_OUT_AMOUT =&gt; Zabijam zviera.&quot;);    </span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="comment">//Print( &quot;GetHealth Global Health: &quot; + m_ThisEntityAI.GetHealth( &quot;&quot;, &quot;Health&quot; ));</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="comment">//Print( &quot;GetHealth Global Blood: &quot; + m_ThisEntityAI.GetHealth( &quot;&quot;, &quot;Blood&quot; ));</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="comment">//Print( &quot;GetHealth Global Shock: &quot; + m_ThisEntityAI.GetHealth( &quot;&quot;, &quot;Shock&quot; ));</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_variable" href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">m_BleedTimer</a>.Stop();    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="comment">//Print(&quot;Vypinam timer.&quot;);      </span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d9/d53/class_component_animal_bleeding.html#acc31e3fc1008194a61f9a0bdfdd9b79a">  111</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d9/d53/class_component_animal_bleeding.html#acc31e3fc1008194a61f9a0bdfdd9b79a">GetWoundIntensity</a>( <span class="keywordtype">float</span> bleed_treshold )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="comment">//higher the bleeding treshold =&gt; more intense bleeding</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">return</span> bleed_treshold * 2;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>}</div>
<div class="ttc" id="aclass_component_animal_bleeding_html"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html">ComponentAnimalBleeding</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00008">ComponentAnimalBleeding.c:9</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_a0f5a7733e7a6040b5b5c5b7e85d3e9a3"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#a0f5a7733e7a6040b5b5c5b7e85d3e9a3">ComponentAnimalBleeding::PASS_OUT_AMOUT</a></div><div class="ttdeci">protected const float PASS_OUT_AMOUT</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00013">ComponentAnimalBleeding.c:13</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_a17fd1b1f4e3b8d4b726660bfc2535983"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#a17fd1b1f4e3b8d4b726660bfc2535983">ComponentAnimalBleeding::Bleed</a></div><div class="ttdeci">void Bleed(float wound_intensity)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00083">ComponentAnimalBleeding.c:83</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_a45a4ed2874d550b01f3cc050fc019729"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#a45a4ed2874d550b01f3cc050fc019729">ComponentAnimalBleeding::m_BleedTimer</a></div><div class="ttdeci">protected ref Timer m_BleedTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00011">ComponentAnimalBleeding.c:11</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_a591218dc0eca9e33c50687a1208b9033"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#a591218dc0eca9e33c50687a1208b9033">ComponentAnimalBleeding::ComponentAnimalBleeding</a></div><div class="ttdeci">void ComponentAnimalBleeding()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00016">ComponentAnimalBleeding.c:16</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_a74ec58161ff06c8b0dbacfdb69da554e"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#a74ec58161ff06c8b0dbacfdb69da554e">ComponentAnimalBleeding::InflictWoundDamage</a></div><div class="ttdeci">void InflictWoundDamage(TotalDamageResult damage_result, string zone_name, string ammo)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00021">ComponentAnimalBleeding.c:21</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_aa5b5b3a214b6c1cd62f77b846a3f7bd7"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#aa5b5b3a214b6c1cd62f77b846a3f7bd7">ComponentAnimalBleeding::BASE_BLEED_RATE</a></div><div class="ttdeci">protected const float BASE_BLEED_RATE</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00012">ComponentAnimalBleeding.c:12</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_acc31e3fc1008194a61f9a0bdfdd9b79a"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#acc31e3fc1008194a61f9a0bdfdd9b79a">ComponentAnimalBleeding::GetWoundIntensity</a></div><div class="ttdeci">float GetWoundIntensity(float bleed_treshold)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00111">ComponentAnimalBleeding.c:111</a></div></div>
<div class="ttc" id="aclass_component_animal_bleeding_html_afe69f37b643968d2742f531b4c196fa0"><div class="ttname"><a href="../../d9/d53/class_component_animal_bleeding.html#afe69f37b643968d2742f531b4c196fa0">ComponentAnimalBleeding::CreateWound</a></div><div class="ttdeci">void CreateWound(TotalDamageResult damage_result, string zone_name, string ammo)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d04/_component_animal_bleeding_8c_source.html#l00051">ComponentAnimalBleeding.c:51</a></div></div>
<div class="ttc" id="aclass_component_html"><div class="ttname"><a href="../../d2/d00/class_component.html">Component</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00015">Component.c:16</a></div></div>
<div class="ttc" id="aclass_component_html_adf8ead7fb522b7c0206c25c5d3919603"><div class="ttname"><a href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">Component::m_ThisEntityAI</a></div><div class="ttdeci">protected EntityAI m_ThisEntityAI</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d31/_component_8c_source.html#l00024">Component.c:24</a></div></div>
<div class="ttc" id="aclass_total_damage_result_html"><div class="ttname"><a href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dba/_damage_system_8c_source.html#l00001">DamageSystem.c:2</a></div></div>
<div class="ttc" id="aclass_total_damage_result_html_a940858fc3298ca3b89b97f2cc2dbc409"><div class="ttname"><a href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">TotalDamageResult::GetDamage</a></div><div class="ttdeci">proto native float GetDamage(string zoneName, string healthType)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../dir_48e75ea485aa8e95bed5247bf24789ce.html">Component</a></li><li class="navelem"><a class="el" href="../../de/d04/_component_animal_bleeding_8c.html">ComponentAnimalBleeding.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
